# This file created by conda-build 3.15.1
# ------------------------------------------------

package:
    name: numpy-base
    version: 1.15.3
source:
    patches:
        - 0001-fix-windows-case-sensitivity.patch
        - 0002-simplify-arch-flags.patch
        - 0003-Obtain-and-prefer-custom-gfortran-from-env-variable.patch
        - 0004-disable-memmap-filename-test-due-to-CI-link-confusio.patch
        - 0005-disable-broken-tests.patch
    sha256: 1c0c80e74759fa4942298044274f2c11b08c86230b25b8b819e55e644f5ff2b6
    url: https://pypi.io/packages/source/n/numpy/numpy-1.15.3.zip
build:
    force_use_keys:
        - python
    noarch: false
    number: '0'
    script: install_base.sh
    string: py27h2f8d375_0
requirements:
    build:
        - binutils_impl_linux-64 2.31.1 h6176602_1
        - binutils_linux-64 2.31.1 h6176602_3
        - gcc_impl_linux-64 7.3.0 habb00fd_1
        - gcc_linux-64 7.3.0 h553295d_3
        - gfortran_impl_linux-64 7.3.0 hdf63c60_1
        - gfortran_linux-64 7.3.0 h553295d_3
        - libgcc-ng 8.2.0 hdf63c60_1
        - libgfortran-ng 7.3.0 hdf63c60_0
        - libstdcxx-ng 8.2.0 hdf63c60_1
    host:
        - blas 1.0 openblas
        - ca-certificates 2018.03.07 0
        - certifi 2018.10.15 py27_0
        - cython 0.29 py27he6710b0_0
        - libedit 3.1.20170329 h6b74fdf_2
        - libffi 3.2.1 hd88cf55_4
        - libgcc-ng 8.2.0 hdf63c60_1
        - libgfortran-ng 7.3.0 hdf63c60_0
        - libopenblas 0.3.3 h5a2b251_3
        - libstdcxx-ng 8.2.0 hdf63c60_1
        - ncurses 6.1 hf484d3e_0
        - nomkl 3.0 0
        - openblas-devel 0.3.3 3
        - openssl 1.0.2p h14c3975_0
        - python 2.7.15 h77bded6_2
        - readline 7.0 h7b6447c_5
        - setuptools 40.4.3 py27_0
        - sqlite 3.25.2 h7b6447c_0
        - tk 8.6.8 hbc83047_0
        - zlib 1.2.11 ha838bed_2
    run:
        - blas * openblas
        - libgcc-ng >=7.3.0
        - libgfortran-ng >=7,<8.0a0
        - libopenblas >=0.3.3,<1.0a0
        - python >=2.7,<2.8.0a0
test:
    commands:
        - test -e $SP_DIR/numpy/distutils/site.cfg
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - jakirkham
        - msarahan
        - ocefpaf
        - pelson
        - rgommers
